<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

if (isset($_GET['id'])){

$id = intval($_GET['id']);

}else{

$id = $user['id'];

}

$usr = mysql_fetch_array(mysql_query("select * from `user` WHERE `id` = '".$id."'"));

$num = mysql_num_rows(mysql_query("select * from `pod_in` WHERE `komu_id` = '".$id."'"));

$num_off = mysql_num_rows(mysql_query("select * from `pod_in` WHERE `komu_id` = '".$id."' and `private` = '1'"));

$k_p=mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts` WHERE `id_user` = $id ",$db), 0);

echo '<div class="busi">';

echo '<img src="img.png" alt="."/> Подарки пользователя <b>'.$usr['nick'].'</b><br/>';



if ($k_p>0){

echo '<img src="img.png" alt="."/> <a href="/gifts.php?id='.$id.'"><font color="red">Архив подарков</font></a> ['.$k_p.']<br/>';

}

echo '<img src="img.png" alt="."/> Подарков: <font color="green">'.$num.'</font> из них <font color="green">'.$num_off.'</font> приватных<br/>';

echo '</div>';


           $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pod_in` WHERE `komu_id` = '".$id."'"),0);
           $k_page = k_page($k_post,$set['p_str']);
           $page = page($k_page);
           $start = $set['p_str']*$page-$set['p_str'];
           $res = mysql_query("select * from `pod_in` WHERE `komu_id` = '".$id."' order by time desc LIMIT $start, $set[p_str];");
		   
		   if ($k_post == 0){
		   
		   echo '<div class="p_m">';
		   
		   echo 'У пользователя нет подарков.<br/>';
		   
		   echo '</div>';
		   
		   }else{
		   
		   while ($post = mysql_fetch_array($res)){
           
		   $p = mysql_fetch_array(mysql_query("select * from `pod_file` WHERE `id` = '".$post['pod_id']."'"));
		   
		   $users = mysql_fetch_array(mysql_query("select * from `user` WHERE `id` = '".$post['kto_id']."'"));
		   								
										           if ($user['id']=='1'){
echo '<div class="p_m">';echo 'Подарок от <a href="/info.php?id='.$post['kto_id'].'"><b>'.$users['nick'].'</b>';
echo '<a href="/pod/edit.php?id='.$post['id'].'" style="float:right"><img src="/style/icons/edit.png" alt="."/></a>';

												   echo '<a href="/pod/del.php?id='.$post['id'].'" style="float:right"><img src="/style/icons/delete.png" alt="."/></a>';												   
												   echo '<br/>';
														
if ($post['private']=='1'){

echo 'Статус: приватный<br/>';

}else{

echo 'Статус: виден всем<br/>';

}
														
												   echo '<center><img src="/pod/image/'.$p['file'].'" alt="." height="96" width="96"/></center><br/>';
														
														if (!empty($post['komm'])){
														
													
												   echo '<center>'.output_text($post['komm']).'</center>';
	
	                                              
												   
												        }
												   
												   echo '<center>('.vremja($post['time']).')</center>';
												   
												   echo '</div>';
												   
												   }else{
		   
		   
                 if ($post['private']=='1'){
				 
		            if ($user['id']==$id){
				 
				        echo '<div class="links">';
						
						      if ($post['anonim']=='1'){
							 
							      echo '<b>Анонимный подарок</b>';
								 
						          }else{
							  
							      echo 'Подарок от <a href="/info.php?id='.$post['kto_id'].'"><b>'.$users['nick'].'</b></a>';
								  
						      }
						        
								echo '<a href="/pod/edit.php?id='.$post['id'].'" style="float:right"><img src="/style/icons/edit.png" alt="."/></a>';

									echo '<a href="/pod/del.php?id='.$post['id'].'" style="float:right"><img src="/style/icons/delete.png" alt="."/></a>';												   
									echo '<br/>';
								
						
						if ($post['private']=='1'){

echo 'Статус: приватный<br/>';

}else{

echo 'Статус: виден всем<br/>';

}
				
				
				echo '<center><img src="/pod/image/'.$p['file'].'" alt="." height="96" width="96"/></center><br/>';
				
				          
							  
							  if (!empty($post['komm'])){
							  
						  
							      echo '<center>'.output_text($post['komm']).'</center>';
							  
						  
						      }
							  if ($post['time_off']!=='1'){

							  echo '<center>('.vremja($post['time']).')</center>';
							  

              }
							  echo '</div>'; 
				        
		            }
		         }
				 
				 
				 
				 if ($post['private']=='2'){
				 
				 
				 
				 
				 
				 
				 
				 
				 echo '<div class="p_m">';
						
						      if ($post['anonim']=='1'){
							 
							      echo '<b>Анонимный подарок</b>';
								 
						          }else{
							  
							      echo 'Подарок от <a href="/info.php?id='.$post['kto_id'].'"><b>'.$users['nick'].'</b></a>';
								  
						      }
						        
								if ($user['id']==$id){
								
								echo '<a href="/pod/edit.php?id='.$post['id'].'" style="float:right"><img src="/style/icons/edit.png" alt="."/></a>';

									echo '<a href="/pod/del.php?id='.$post['id'].'" style="float:right"><img src="/style/icons/delete.png" alt="."/></a>';												   
									}
									
									echo '<br/>';
								
						
						if ($post['private']=='1'){

echo 'Статус: приватный<br/>';

}else{

echo 'Статус: виден всем<br/>';

}
				
				
				echo '<center><img src="/pod/image/'.$p['file'].'" alt="." height="96" width="96"/></center><br/>';
				
				          
							  
							 if (!empty($post['komm']) && $post['komm_aftar']!=='1'){
							  
						      echo '<center>'.output_text($post['komm']).'</center>';
						  
						      }
							  
                                                                         if ($post['time_off']!=='1'){

							  echo '<center>('.vremja($post['time']).')</center>';
							  

                    }
							  echo '</div>'; 
				 
				 
				 
				 
				 
				 
				 }
				 
				 
				 
		                                           }
		   }
		   
           if ($k_page>1)str('?id='.$id.'',$k_page,$page);
		   
		   }


echo '<div class="foot">';

echo '<img src="img.png" alt="."/> <a href="/pod/new.php?id='.$id.'">Сделать подарок</a><br/>';

if ($user['id']=='1'){

echo '<img src="img.png" alt="."/> <a href="/pod/admin.php">Админка подарков</a><br/>';

}

echo '</div>';

include_once '../sys/inc/tfoot.php';
?>
